Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-1228

Upgrading node causes CLI module rebuild, but this fails without --force

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Cannot Reproduce
    • Affects Version/s: Release 6.2.2
    • Fix Version/s: None
    • Component/s: CLI
    • Labels:
    • Severity:
      Major

      Description

      Description:

      After installing CLI 6.2.2-master.7 I updated node. When I tried appc -v I got the request for a module rebuild. This fails.

      Steps to reproduce:

      1) Install node 4.8.2
      2) Install CLI core 6.2.2-master.7
      3) Update node to 6.10.3
      4) use command appc -v

      Result:

      Module rebuild attempts but fails.

      You are attempting to run appc 6.2.1 which was compiled for node v4.8.3 but you are now running node v6.10.3
      Rebuilding package modules ...
      The rebuild was unsuccessful, please run the following command to re-build for the newer version:
      appc use 6.2.1 --force
      

      Expected Result:

      Modules rebuild with no error

        Attachments

          Activity

            People

            • Assignee:
              emerriman Eric Merriman
              Reporter:
              emerriman Eric Merriman
            • Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Git Source Code